package com.upay.sdk.onlinepay;

import java.io.IOException;
import java.io.OutputStream;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import com.upay.sdk.onlinepay.builder.OrderResponse;

public class ScanCodeServlet extends HttpServlet {

	@Override
	protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
		doPost(req, resp);
	}

	@Override
	protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
		HttpSession session = req.getSession();
		resp.setContentType("image/png");
		OrderResponse orderResponse = (OrderResponse)session.getAttribute("orderResponse");
		OutputStream stream = resp.getOutputStream();  
	    stream.write(orderResponse.getScanCode());  
	    stream.flush();  
	    stream.close(); 
	}
}
