<%@ page language="java" contentType="text/html; charset=utf-8"
         pageEncoding="utf-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title></title>
</head>
<body>
<p id="jsonObject">响应信息:<%=request.getAttribute("jsonObject") %> </p>
<p id="result"></p>
<input id="payButton" type="button" value="支付"/>
<input id="closeButton" type="button" value="关闭"/>
</body>


<script type="application/javascript">
    // 调试时可以通过在页面定义一个元素，打印信息，使用alert方法不够优雅
    window.onload = function(){
        document.getElementById('payButton').onclick = function () {
            tradePay("<%=request.getAttribute("tradeNO") %>");
        };

        document.getElementById('closeButton').onclick = function () {
            AlipayJSBridge.call('closeWebview');
        };
    }

    // 由于js的载入是异步的，所以可以通过该方法，当AlipayJSBridgeReady事件发生后，再执行callback方法
    function ready(callback) {
        if (window.AlipayJSBridge) {
            callback && callback();
        } else {
            document.addEventListener('AlipayJSBridgeReady', callback, false);
        }
    }

    function tradePay(tradeNO) {
        ready(function(){
            // 通过传入交易号唤起快捷调用方式(注意tradeNO大小写严格)
            AlipayJSBridge.call("tradePay", {
                tradeNO: tradeNO
            }, function (data) {
                if ("9000" == data.resultCode) {
                    log("支付成功");
                }
            });
        });
    }
</script>

</html>